#!/bin/sh


# script to kill the snmpagent process


# exit codes
# 0 = succes
# 1 = failed
# 250 = file $PIDFILE (see below) not found


PIDFILE=/var/run/artnet.pid


# file $PIDFILE exists ?

if [ ! -f $PIDFILE ]; then
  EXITCODE=250
  exit $EXITCODE
fi


# get the process id of the artnet process

PID=`cat $PIDFILE`


# kill the artnet process

kill -9 $PID

if [ $? -ne 0 ]; then
  EXITERROR=1
  exit $EXITERROR
fi

# required to wait after kill
sleep 2

# success

exit 0
