#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  installing new get-versions script"$ENDLOGINFO

cp get-versions.sh /home/upgrade/get-versions.sh
RET_ERROR=$?

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new get-versions script"$ENDLOGINFO
  RET_ERROR=2
fi

exit $RET_ERROR
