#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  installing new hotplug script"$ENDLOGINFO
cp hotplug /sbin/hotplug
RET_ERROR=$?


grep -q usbdevfs /etc/fstab
if [ $? -ne 0 ]; then
  echo "none            /proc/bus/usb  usbdevfs defaults          0      0"  >> /etc/fstab
fi

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new hotplug script"$ENDLOGINFO
  RET_ERROR=2
fi

exit $RET_ERROR
