#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR1=0
RET_ERROR2=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  installing new ip_reconfig script"$ENDLOGINFO

cp reconfig-ip.sh /etc/reconfig-ip.sh
RET_ERROR2=$?

if [ $RET_ERROR2 -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new ip_reconfig script"$ENDLOGINFO
  RET_ERROR2=2
fi

cp config-ip.sh /etc/config-ip.sh
RET_ERROR2=$?

if [ $RET_ERROR2 -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new ip_config script"$ENDLOGINFO
  RET_ERROR2=2
fi

if [ !-e /etc/config-ip ];then
  cp config-ip /etc/config-ip
  RET_ERROR2=$?

  if [ $RET_ERROR2 -ne 0 ];then
    echo $STARTLOGERROR"  failed to install new ip_config file"$ENDLOGINFO
    RET_ERROR2=2
  fi
fi

cp S21network /etc/rc.d/init.d/S21network
RET_ERROR2=$?

if [ $RET_ERROR2 -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new ip_config file"$ENDLOGINFO
  RET_ERROR2=2
fi

if [ $RET_ERROR1 -ne 0 ];then
  exit $RET_ERROR1
else
  exit $RET_ERROR2
fi
