#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  programming TI SAT firmware"$ENDLOGINFO
cp ./TI_FIRM_SAT.bin /home/flm/TI_FIRM_SAT.bin
RET_ERROR=$?
if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install TI sat firmware"$ENDLOGINFO
  RET_ERROR=2
fi

if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "start_ti_prog(TI_FIRM_SAT_HD)" 240)" = "DONE" ];then
  RET_ERROR=$NO_ERROR
else
  RET_ERROR=$FATAL_ERROR
  echo $STARTLOGERROR"  failed to install TI sat firmware"$ENDLOGINFO
fi

rm /home/flm/TI_FIRM_SAT.bin

exit $RET_ERROR





