#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  programming TI main software"$ENDLOGINFO
cp ./TI_SOFT_MAIN.bin /home/flm/TI_SOFT_MAIN.bin
RET_ERROR=$?
if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install TI main software"$ENDLOGINFO
  RET_ERROR=2
fi

if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "start_ti_prog(TI_SOFT_MAIN_HD)" 120)" = "DONE" ];then
  RET_ERROR=$NO_ERROR
else
  RET_ERROR=$FATAL_ERROR
  echo $STARTLOGERROR"  failed to install TI main software"$ENDLOGINFO
fi

rm /home/flm/TI_SOFT_MAIN.bin

exit $RET_ERROR

