#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  programming WARP board"$ENDLOGINFO

mv ./warp.brec /home/upgrade/
RET_ERROR=$?
if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new firmware"$ENDLOGINFO
  RET_ERROR=$FATAL_ERROR
fi

VERSION=`cat version`

if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "start_warp_prog($VERSION)" 1200)" = "DONE" ];then
  RET_ERROR=$NO_ERROR
else
  RET_ERROR=$FATAL_ERROR
fi

rm -f /home/upgrade/warp.brec 1>/dev/null 2>/dev/null

exit $RET_ERROR





