#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

/etc/rc.d/init.d/S40cron stop


echo $STARTLOGINFO"  installing new crontab file"$ENDLOGINFO
cp crontab /etc/crontab

chmod 644 /etc/crontab
chown root:root /etc/crontab

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new crontab file"$ENDLOGINFO
  RET_ERROR=2
fi

cp bin/cron /usr/sbin/cron
TEMP_ERROR=$?
if [ $TEMP_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new cron"$ENDLOGINFO
  RET_ERROR=2
fi
chmod -r /usr/sbin/cron

/etc/rc.d/init.d/S40cron start

cp .crontab_version /etc/

exit $RET_ERROR