#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

UPDATE="<update cat=\"control\" setting=\"request.reboot.when.done\"/>"

echo $STARTLOGINFO"  programming FIB cpld"$ENDLOGINFO
/home/upgrade/tools/playxsvf.elf ./fib_hd_cpld.xsvf
/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "set_upgrade_status(fib_reset)"
RET_ERROR=$?

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new FIB cpld firmware"$ENDLOGINFO
  RET_ERROR=2
else
  echo $UPDATE
fi

exit $RET_ERROR