#!/bin/sh
PKG_VERSION="1.9.15"

FILENAME="\t\t\t<file name="
CLOSE="/>"
SCLOSE=">"
CATNAME="\t\t<cat name="
CLOSE_CAT="\t\t</cat>"
VS=" vs="
ECO=0

PROJ_TYPE="$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_proj_type()")"

echo $PROJ_TYPE|grep -q "FLM R"
if [ $? -eq 0 ];then
  FLM_R=1;FLM_HD=0
fi

echo $PROJ_TYPE|grep -q "FLM HD"
if [ $? -eq 0 ];then
  FLM_HD=1;FLM_R=0
fi


if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_proj_mode()")" = "standby-eco" ];then
  ECO=1
  /home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "set_proj_mode(standby)">/dev/null
fi
##########################################
CAT_SOFTWARE="\"Software\""

FN_SOFTWARE="\"flm_soft\""
VS_SOFTWARE="\"failed\""

FN_IMAGES="\"images\""
VS_IMAGES="\"0.0\""

FN_LAYOUTS="\"layouts\""
VS_LAYOUTS="\"0.0\""

FN_TYPES="\"projector_types\""
VS_TYPES="\"0.0\""

FN_EDID_DDC="\"edid_ddc\""
VS_EDID_DDC="\"0.0\""

FN_PATTERNS="\"patterns\""
VS_PATTERNS="\"0.0\""

FN_FAN_SPEEDS="\"fan_speeds\""
VS_FAN_SPEEDS="\"0.0\""

FN_COLOR_STANDARDS="\"color_standards\""
VS_COLOR_STANDARDS="\"0.0\""

FN_SERVICE_PATTERNS="\"servicepatterns\""
VS_SERVICE_PATTERNS="\"0.0\""

FN_RESOURCES="\"resources\""
VS_RESOURCES="\"0.0\""

# # # # # # # # # # # # # # # # # # # # # 
VS_SOFTWARE="\""$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_version(SOFT)")"\""

if [ -f /home/flm/images/.version ];then
  VS_IMAGES="\""$(tr -d '\n' < /home/flm/images/.version)"\""
fi

if [ -f /home/flm/layouts/.version ];then
  VS_LAYOUTS="\""$(tr -d '\n' < /home/flm/layouts/.version)"\""
fi

if [ -f /home/flm/types/.version ];then
  VS_TYPES="\""$(tr -d '\n' < /home/flm/types/.version)"\""
fi

if [ -f /home/flm/edid_ddc/.version ];then
  VS_EDID_DDC="\""$(echo `sed -e '/[a-z]/d' /home/flm/edid_ddc/.version`|tr -d '\n'|tr -d ' ')"\""
fi

if [ -f /home/flm/patterns/.version ];then
  VS_PATTERNS="\""$(tr -d '\n' < /home/flm/patterns/.version)"\""
fi

if [ -f /home/flm/fcb/.version ];then
  VS_FAN_SPEEDS="\""$(tr -d '\n' < /home/flm/fcb/.version)"\""
fi

if [ -f /home/flm/colorstandards/.version ];then
  VS_COLOR_STANDARDS="\""$(tr -d '\n' < /home/flm/colorstandards/.version)"\""
fi

if [ -f /home/flm/servicepatterns/.version ];then
  VS_SERVICE_PATTERNS="\""$(tr -d '\n' < /home/flm/servicepatterns/.version)"\""
fi

if [ -f /home/flm/resources/.version ];then
  VS_RESOURCES="\""$(tr -d '\n' < /home/flm/resources/.version)"\""
fi

##########################################
CAT_SCRIPTS="\"Scripts\""

FN_CHECK_UPGRADE="\"check_upgrade\""
VS_CHECK_UPGRADE="\"0.0\""

FN_DO_UPGRADE="\"do_upgrade\""        
VS_DO_UPGRADE="\"0.0\""

FN_GET_VERSIONS="\"get_versions\""      
VS_GET_VERSIONS="\"0.0\""

FN_STARTUP="\"startup\""
VS_STARTUP="\"0.0\""

FN_IP_CONFIG="\"ip_config\""
VS_IP_CONFIG="\"0.0\""

FN_WATCHDOG="\"watchdog\""
VS_WATCHDOG="\"0.0\""

FN_HOTPLUG="\"hotplug\""
VS_HOTPLUG="\"0.0\""

# # # # # # # # # # # # # # # # # # # # # 
VS_GET_VERSIONS="\""$PKG_VERSION"\""

if [ -f /home/upgrade/check-upgrade.sh ];then
  VS_CHECK_UPGRADE="\""$(/home/upgrade/check-upgrade.sh -z)"\""
fi

if [ -f /home/upgrade/do-upgrade.sh ];then
  VS_DO_UPGRADE="\""$(/home/upgrade/do-upgrade.sh -z)"\""
fi

if [ -f /home/startup.sh ];then
  VS_STARTUP="\""$(/home/startup.sh -z)"\""
fi

if [ -f /etc/reconfig-ip.sh ];then
  VS_IP_CONFIG="\""$(/etc/reconfig-ip.sh -z)"\""
fi

if [ -f /home/upgrade/watchdog.sh ];then
  VS_WATCHDOG="\""$(/home/upgrade/watchdog.sh --version)"\""
fi

if [ -f /sbin/hotplug ];then
  VS_HOTPLUG="\""$(/sbin/hotplug -z)"\""
fi

##########################################
CAT_DRIVERS="\"Drivers\""

FN_MEM_DEV="\"mem_dev\""
VS_MEM_DEV="\"0.0\""

FN_PCAN="\"pcan\""
VS_PCAN="\"0.0\""

FN_SPI_DEV="\"spi_dev\""
VS_SPI_DEV="\"0.0\""

FN_I2C_DEV="\"i2c_dev\""          
VS_I2C_DEV="\"0.0\""

FN_I2C_ALGO_MPC5XXX="\"i2c_algo_mpc5xxx\"" 
VS_I2C_ALGO_MPC5XXX="\"0.0\""

FN_KERNEL="\"kernel"\"
VS_KERNEL="\"failed\""

FN_PASSWD="\"passwd"\" 
VS_PASSWD="\"0.0\""

FN_CRONTAB="\"crontab"\" 
VS_CRONTAB="\"0.0\""

# # # # # # # # # # # # # # # # # # # # # 
uname -r > linux_version
tr -d '\n' < linux_version > linux_version2
VS_KERNEL="\""$(cat linux_version2)"\""
rm linux_version*

if [ -f /etc/passwd_version ];then
  VS_PASSWD="\""$(tr -d '\n' < /etc/passwd_version)"\""
fi

if [ -f /proc/driver/i2c-dev ];then
  VS_I2C_DEV="\""$(cat /proc/driver/i2c-dev)"\""
fi

if [ -f /proc/driver/i2c-algo-mpc5xxx ];then
  VS_I2C_ALGO_MPC5XXX="\""$(cat /proc/driver/i2c-algo-mpc5xxx)"\""
fi

if [ -f /proc/driver/spi-dev ];then
  VS_SPI_DEV="\""$(cat /proc/driver/spi-dev)"\""
fi

if [ -f /proc/driver/mem-dev ];then
  VS_MEM_DEV="\""$(cat /proc/driver/mem-dev)"\""
fi

if [ -f /proc/driver/pcan ];then
  VS_PCAN="\""$(cat /proc/driver/pcan)"\""
fi

if [ -f /etc/.crontab_version ];then
  VS_CRONTAB="\""$(tr -d '\n' < /etc/.crontab_version)"\""
fi

##########################################
CAT_TOOLS="\"Tools\""

FN_8051_FLASH="\"8051_flash\""        
VS_8051_FLASH="\"failed\""

FN_JAMPLAYER="\"jamplayer\""       
VS_JAMPLAYER="\"failed\""

FN_PLAYERXSVF="\"playerxsvf\""    
VS_PLAYERXSVF="\"failed\""

FN_SEND_TO_SOCK="\"send_to_sock\""      
VS_SEND_TO_SOCK="\"failed\""

FN_SPI_FLASH="\"spi_flash\""         
VS_SPI_FLASH="\"failed\""

FN_BROADCAST="\"broadcast\""         
VS_BROADCAST="\"failed\""

FN_CHOWNMOD="\"chownmod\""        
VS_CHOWNMOD="\"0.0\""

FN_ARTNET="\"artnet\""         
VS_ARTNET="\"failed\""

# # # # # # # # # # # # # # # # # # # # # 
if [ -f /home/upgrade/tools/8051flash.elf ];then
  VS_8051_FLASH="\""$(/home/upgrade/tools/8051flash.elf -z)"\""
fi

if [ -f /home/upgrade/tools/SPIflash.elf ];then
  VS_SPI_FLASH="\""$(/home/upgrade/tools/SPIflash.elf -z)"\""
fi

if [ -f /home/upgrade/tools/jam.elf ];then
  VS_JAMPLAYER="\""$(/home/upgrade/tools/jam.elf -z)"\""
fi

if [ -f /home/upgrade/tools/playxsvf.elf ];then
  VS_PLAYERXSVF="\""$(/home/upgrade/tools/playxsvf.elf -z)"\""
fi

if [ -f /home/upgrade/tools/send_to_sock.elf ];then
  VS_SEND_TO_SOCK="\""$(/home/upgrade/tools/send_to_sock.elf -z)"\""
fi

if [ -f /home/upgrade/tools/broadcast.elf ];then
  VS_BROADCAST="\""$(/home/upgrade/tools/broadcast.elf --version)"\""
fi

if [ -f /home/upgrade/tools/chownmod ];then
  VS_CHOWNMOD="\""$(/home/upgrade/tools/chownmod -z)"\""
fi

if [ -f /home/upgrade/tools/artnet.elf ];then
  VS_ARTNET="\""$(/home/upgrade/tools/artnet.elf --version)"\""
fi

##########################################
CAT_FIRMWARE="\"Firmware\""

FN_PMP_IN="\"PMP_IN\""
VS_PMP_IN="\"failed\""

FN_PMP_OUT="\"PMP_OUT\""
VS_PMP_OUT="\"failed\""

FN_PMP_EPLD="\"PMPepld\""
VS_PMP_EPLD="\"failed\""

FN_FAN_CTRL="\"fan_ctrl\""
VS_FAN_CTRL="\"failed\""

FN_TEC_CTRL="\"tec_ctrl\""
VS_TEC_CTRL="\"failed\""

FN_FIB="\"fib\""
VS_FIB="\"failed\""

FN_FIB_HD="\"fib_hd\""
VS_FIB_HD="\"failed\""

FN_FIB_HD_CPLD="\"fib_hd_cpld\""
VS_FIB_HD_CPLD="\"failed\""

FN_TI_SOFT_MAIN_LX40="\"ti_soft_main_LX40\""
FN_TI_SOFT_MAIN_LX25="\"ti_soft_main_LX25\""
VS_TI_SOFT_MAIN="\"failed\""

FN_TI_FIRM_MAIN_LX40="\"ti_firm_main_LX40\""
FN_TI_FIRM_MAIN_LX25="\"ti_firm_main_LX25\""
VS_TI_FIRM_MAIN="\"failed\""

FN_TI_FIRM_SAT_LX40="\"ti_firm_sat_LX40\""
FN_TI_FIRM_SAT_LX25="\"ti_firm_sat_LX25\""
VS_TI_FIRM_SAT="\"failed\""

FN_TI_DMD_DATA_LX40="\"ti_dmd_data_LX40\""
FN_TI_DMD_DATA_LX25="\"ti_dmd_data_LX25\""
VS_TI_DMD_DATA="\"failed\""

FN_TI_SEQ_DATA_LX40="\"ti_seq_data_LX40\""
FN_TI_SEQ_DATA_LX25="\"ti_seq_data_LX25\""
VS_TI_SEQ_DATA="\"failed\""

FN_LPS_1_EEPROM="\"lps_1_eeprom\""
VS_LPS_1_EEPROM="\"failed\""

FN_LPS_2_EEPROM="\"lps_2_eeprom\""
VS_LPS_2_EEPROM="\"failed\""

FN_SCALER="\"scaler\""
VS_SCALER="\"failed\""

FN_WARP="\"warp\""
VS_WARP="\"failed\""

#FN_CLO="\"clo\""
#VS_CLO="\"failed\""

# # # # # # # # # # # # # # # # # # # # # 
if [ $FLM_R -eq 1 ];then
  VS_FIB="\""$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_version(FIB)")"\""
fi

if [ $FLM_HD -eq 1 ];then
  VS_TEC_CTRL="\""$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_version(TEC_CTRL)")"\""
  VS_FIB_HD="\""$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_version(FIB)")"\""
  VS_FIB_HD_CPLD="\""$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_version(FIB_CPLD)")"\""

  VS_TI_SOFT_MAIN="\""$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_version(TI_SOFT_MAIN_HD)")"\""
  VS_TI_FIRM_MAIN="\""$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_version(TI_FIRM_MAIN_HD)")"\""
  VS_TI_FIRM_SAT="\""$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_version(TI_FIRM_SAT_HD)")"\""
  VS_TI_DMD_DATA="\""$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_version(TI_DMD_DATA_HD)")"\""
  VS_TI_SEQ_DATA="\""$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_version(TI_SEQ_DATA_HD)")"\""
fi

VS_PMP_IN="\""$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_version(IN_FPGA)")"\""
VS_PMP_OUT="\""$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_version(OUT_FPGA)")"\""
VS_PMP_EPLD="\""$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_version(EPLD)")"\""
VS_LPS_1_EEPROM="\""$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_version(LPS1)")"\""
VS_LPS_2_EEPROM="\""$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_version(LPS2)")"\""
VS_FAN_CTRL="\""$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_version(SMPS)")"\""
VS_SCALER="\""$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_version(SCALER)")"\""
VS_WARP="\""$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_version(WARP)")"\""
#VS_CLO="\""$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_version(CLO)")"\""




echo -e "<versioninfo> "
echo -e "\t<device name=\"FLM\" id=\"barco.flm\"/>"
echo -e "\t<package vs=\"$PKG_VERSION\" name=\"FLM update\">"


# update scripts

echo -e $CATNAME$CAT_SCRIPTS$SCLOSE
echo -e  $FILENAME$FN_GET_VERSIONS$VS"\""$PKG_VERSION"\""$CLOSE
echo -e  $FILENAME$FN_CHECK_UPGRADE$VS$VS_CHECK_UPGRADE$CLOSE
echo -e  $FILENAME$FN_DO_UPGRADE$VS$VS_DO_UPGRADE$CLOSE
echo -e  $FILENAME$FN_STARTUP$VS$VS_STARTUP$CLOSE
echo -e  $FILENAME$FN_IP_CONFIG$VS$VS_IP_CONFIG$CLOSE
echo -e  $FILENAME$FN_WATCHDOG$VS$VS_WATCHDOG$CLOSE
echo -e  $FILENAME$FN_HOTPLUG$VS$VS_HOTPLUG$CLOSE
echo -e $CLOSE_CAT


# embedded software

echo -e $CATNAME$CAT_SOFTWARE$SCLOSE
echo -e  $FILENAME$FN_SOFTWARE$VS$VS_SOFTWARE$CLOSE
echo -e  $FILENAME$FN_IMAGES$VS$VS_IMAGES$CLOSE
echo -e  $FILENAME$FN_LAYOUTS$VS$VS_LAYOUTS$CLOSE
echo -e  $FILENAME$FN_TYPES$VS$VS_TYPES$CLOSE
echo -e  $FILENAME$FN_EDID_DDC$VS$VS_EDID_DDC$CLOSE
echo -e  $FILENAME$FN_PATTERNS$VS$VS_PATTERNS$CLOSE
echo -e  $FILENAME$FN_FAN_SPEEDS$VS$VS_FAN_SPEEDS$CLOSE
echo -e  $FILENAME$FN_COLOR_STANDARDS$VS$VS_COLOR_STANDARDS$CLOSE
echo -e  $FILENAME$FN_SERVICE_PATTERNS$VS$VS_SERVICE_PATTERNS$CLOSE
echo -e  $FILENAME$FN_RESOURCES$VS$VS_RESOURCES$CLOSE

echo -e $CLOSE_CAT


# Firmware

echo -e $CATNAME$CAT_FIRMWARE$SCLOSE
if [ $FLM_R -eq 1 ];then
  echo -e  $FILENAME$FN_FIB$VS$VS_FIB$CLOSE
fi
if [ $FLM_HD -eq 1 ];then
  echo -e  $FILENAME$FN_FIB_HD$VS$VS_FIB_HD$CLOSE
  echo -e  $FILENAME$FN_FIB_HD_CPLD$VS$VS_FIB_HD_CPLD$CLOSE
  echo -e  $FILENAME$FN_TEC_CTRL$VS$VS_TEC_CTRL$CLOSE

  TI_FPGA_ID="$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_ti_sat_fpga_id()")"
  if [ "$TI_FPGA_ID" = "LX40" ]; then
    echo -e  $FILENAME$FN_TI_SOFT_MAIN_LX40$VS$VS_TI_SOFT_MAIN$CLOSE
    echo -e  $FILENAME$FN_TI_FIRM_MAIN_LX40$VS$VS_TI_FIRM_MAIN$CLOSE
    echo -e  $FILENAME$FN_TI_FIRM_SAT_LX40$VS$VS_TI_FIRM_SAT$CLOSE
    echo -e  $FILENAME$FN_TI_DMD_DATA_LX40$VS$VS_TI_DMD_DATA$CLOSE
    echo -e  $FILENAME$FN_TI_SEQ_DATA_LX40$VS$VS_TI_SEQ_DATA$CLOSE
  elif [ "$TI_FPGA_ID" = "LX25" ]; then
    echo -e  $FILENAME$FN_TI_SOFT_MAIN_LX25$VS$VS_TI_SOFT_MAIN$CLOSE
    echo -e  $FILENAME$FN_TI_FIRM_MAIN_LX25$VS$VS_TI_FIRM_MAIN$CLOSE
    echo -e  $FILENAME$FN_TI_FIRM_SAT_LX25$VS$VS_TI_FIRM_SAT$CLOSE
    echo -e  $FILENAME$FN_TI_DMD_DATA_LX25$VS$VS_TI_DMD_DATA$CLOSE
    echo -e  $FILENAME$FN_TI_SEQ_DATA_LX25$VS$VS_TI_SEQ_DATA$CLOSE
  fi

fi
echo -e  $FILENAME$FN_PMP_IN$VS$VS_PMP_IN$CLOSE
echo -e  $FILENAME$FN_PMP_OUT$VS$VS_PMP_OUT$CLOSE
echo -e  $FILENAME$FN_PMP_EPLD$VS$VS_PMP_EPLD$CLOSE
echo -e  $FILENAME$FN_LPS_1_EEPROM$VS$VS_LPS_1_EEPROM$CLOSE
echo -e  $FILENAME$FN_LPS_2_EEPROM$VS$VS_LPS_2_EEPROM$CLOSE
echo -e  $FILENAME$FN_FAN_CTRL$VS$VS_FAN_CTRL$CLOSE
echo -e  $FILENAME$FN_SCALER$VS$VS_SCALER$CLOSE
if [ "$VS_WARP" != "\"NA\"" ]; then
  echo -e  $FILENAME$FN_WARP$VS$VS_WARP$CLOSE
fi
#echo -e  $FILENAME$FN_CLO$VS$VS_CLO$CLOSE
echo -e $CLOSE_CAT


# tools

echo -e $CATNAME$CAT_TOOLS$SCLOSE
echo -e  $FILENAME$FN_8051_FLASH$VS$VS_8051_FLASH$CLOSE
echo -e  $FILENAME$FN_JAMPLAYER$VS$VS_JAMPLAYER$CLOSE
echo -e  $FILENAME$FN_PLAYERXSVF$VS$VS_PLAYERXSVF$CLOSE
echo -e  $FILENAME$FN_SEND_TO_SOCK$VS$VS_SEND_TO_SOCK$CLOSE
echo -e  $FILENAME$FN_SPI_FLASH$VS$VS_SPI_FLASH$CLOSE
echo -e  $FILENAME$FN_BROADCAST$VS$VS_BROADCAST$CLOSE
echo -e  $FILENAME$FN_CHOWNMOD$VS$VS_CHOWNMOD$CLOSE
echo -e  $FILENAME$FN_ARTNET$VS$VS_ARTNET$CLOSE
echo -e $CLOSE_CAT


# Linux kernel & drivers

echo -e $CATNAME$CAT_DRIVERS$SCLOSE
echo -e  $FILENAME$FN_KERNEL$VS$VS_KERNEL$CLOSE
echo -e  $FILENAME$FN_PASSWD$VS$VS_PASSWD$CLOSE
echo -e  $FILENAME$FN_MEM_DEV$VS$VS_MEM_DEV$CLOSE
echo -e  $FILENAME$FN_PCAN$VS$VS_PCAN$CLOSE
echo -e  $FILENAME$FN_SPI_DEV$VS$VS_SPI_DEV$CLOSE
echo -e  $FILENAME$FN_I2C_DEV$VS$VS_I2C_DEV$CLOSE
echo -e  $FILENAME$FN_I2C_ALGO_MPC5XXX$VS$VS_I2C_ALGO_MPC5XXX$CLOSE
echo -e  $FILENAME$FN_CRONTAB$VS$VS_CRONTAB$CLOSE
echo -e $CLOSE_CAT


echo -e "\t</package>" 
echo -e "</versioninfo>" 

if [ $ECO -eq 1 ]; then
  /home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "set_proj_mode(standby-eco)">/dev/null
fi
