#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

UPDATE="<update cat=\"control\" setting=\"request.reboot.when.done\"/>"

echo $STARTLOGINFO"  installing new i2c-dev driver"$ENDLOGINFO
mkdir -p /lib/modules/`uname -r`/kernel/drivers/i2c/
cp ./i2c-dev.o /lib/modules/`uname -r`/kernel/drivers/i2c/i2c-dev.o
RET_ERROR=$?

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new i2c-dev driver"$ENDLOGINFO
  RET_ERROR=2
else
  echo $UPDATE
fi

exit $RET_ERROR