#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  programming LPS"$ENDLOGINFO
cp ./lps_eeprom.ttf /home/flm/lps_eeprom.ttf
cp ./eeprom_version /home/flm/eeprom_version
RET_ERROR=$?
if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new lps_eeprom.ttf"$ENDLOGINFO
  RET_ERROR=2
fi

if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "start_lps_prog(LPS1)" 180)" = "DONE" ];then
  RET_ERROR=$NO_ERROR
else
  RET_ERROR=$FATAL_ERROR
fi
rm /home/flm/lps_eeprom.ttf
rm /home/flm/eeprom_version
echo $RET_ERROR > /tmp/temp_lps

exit $RET_ERROR





