#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  installing new pattern files"$ENDLOGINFO

FILE=/home/flm/patterns
DIRECTORY=/home/flm/patterns/
FILE_HD=/home/flm/patterns/hd
DIRECTORY_HD=/home/flm/patterns/hd/

if [ -f $FILE ];then
  rm $FILE
fi

if [ -d $DIRECTORY ];then
# remove all files
  rm $DIRECTORY*
  rm $DIRECTORY.version
else
  mkdir $DIRECTORY
fi

if [ -f $FILE_HD ];then
  rm $FILE_HD
fi

if [ -d $DIRECTORY_HD ];then
# remove all files
  rm $DIRECTORY_HD*
  rm $DIRECTORY_HD.version
else
  mkdir $DIRECTORY_HD
fi

cp -Rd ./files/* $DIRECTORY
RET_ERROR=$?
chmod 444 $DIRECTORY*
chmod 444 $DIRECTORY_HD*
cp ./files/.version $DIRECTORY

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new pattern files"$ENDLOGINFO
  RET_ERROR=2
#else
#  echo $STARTLOGINFO"  store new files in flash"$ENDLOGINFO
#  if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "store_files()")" != "DONE" ];then
#    echo $STARTLOGINFO"  failed to store new files in flash"$ENDLOGINFO
#    RET_ERROR=2
#  fi
fi

exit $RET_ERROR
