#!/bin/sh


# home startup script

# exit codes
# 0 = succes

VERSION="1.0.2"

# handle version request

if [ "$1" = "-z" ]; then
  echo -n $VERSION
  exit 0
fi

# remove temporary files
rm /tmp/~*

# remove a possible remaining watchdog blocking
rm /tmp/watchdog_blocked


# startup programs located in /home/startup

for FILE in /home/startup/*; do
  $FILE &
done


# success

exit 0

